# JSDoc: Namespace: os

# Namespace: os

## os

Source:
  - os.js, line 7

### Methods

#### (static) getArch()

Get OS architecture. This may not be the same as the browser arch or CPU arch. ie, 32bit OS on 64bit hardware

Source:
  - os.js, line 300

#### (static) getDefaultBrowser() → {string}

Detect default browser (IE only) Written by unsticky http://ha.ckers.org/blog/20070319/detecting-default-browser-in-ie/

Source:
  - os.js, line 19

##### Returns:

Type
  string

#### (static) getFamily()

Get OS family

Source:
  - os.js, line 314

#### (static) getName() → {string}

Source:
  - os.js, line 250

##### Returns:

Type
  string

#### (static) getVersion() → {string}

Get OS name

Source:
  - os.js, line 329

##### Returns:

Type
  string

#### (static) isAndroid() → {boolean}

Source:
  - os.js, line 208

##### Returns:

Type
  boolean

#### (static) isAros() → {boolean}

Source:
  - os.js, line 238

##### Returns:

Type
  boolean

#### (static) isBeOS() → {boolean}

Source:
  - os.js, line 232

##### Returns:

Type
  boolean

#### (static) isBlackBerry() → {boolean}

Source:
  - os.js, line 214

##### Returns:

Type
  boolean

#### (static) isIpad() → {boolean}

Source:
  - os.js, line 190

##### Returns:

Type
  boolean

#### (static) isIphone() → {boolean}

Source:
  - os.js, line 184

##### Returns:

Type
  boolean

#### (static) isIpod() → {boolean}

Source:
  - os.js, line 196

##### Returns:

Type
  boolean

#### (static) isLinux() → {boolean}

Source:
  - os.js, line 142

##### Returns:

Type
  boolean

#### (static) isMacintosh() → {boolean}

Source:
  - os.js, line 148

##### Returns:

Type
  boolean

#### (static) isNokia() → {boolean}

Source:
  - os.js, line 202

##### Returns:

Type
  boolean

#### (static) isOpenBSD() → {boolean}

Source:
  - os.js, line 130

##### Returns:

Type
  boolean

#### (static) isOsxLeopard() → {boolean}

Source:
  - os.js, line 172

##### Returns:

Type
  boolean

#### (static) isOsxMavericks() → {boolean}

Source:
  - os.js, line 160

##### Returns:

Type
  boolean

#### (static) isOsxSnowLeopard() → {boolean}

Source:
  - os.js, line 166

##### Returns:

Type
  boolean

#### (static) isOsxYosemite() → {boolean}

Source:
  - os.js, line 154

##### Returns:

Type
  boolean

#### (static) isQNX() → {boolean}

Source:
  - os.js, line 226

##### Returns:

Type
  boolean

#### (static) isSunOS() → {boolean}

Source:
  - os.js, line 136

##### Returns:

Type
  boolean

#### (static) isWebOS() → {boolean}

Source:
  - os.js, line 220

##### Returns:

Type
  boolean

#### (static) isWin10() → {boolean}

Source:
  - os.js, line 124

##### Returns:

Type
  boolean

#### (static) isWin2000() → {boolean}

Source:
  - os.js, line 76

##### Returns:

Type
  boolean

#### (static) isWin2000SP1() → {boolean}

Source:
  - os.js, line 82

##### Returns:

Type
  boolean

#### (static) isWin311() → {boolean}

Source:
  - os.js, line 40

##### Returns:

Type
  boolean

#### (static) isWin7() → {boolean}

Source:
  - os.js, line 106

##### Returns:

Type
  boolean

#### (static) isWin8() → {boolean}

Source:
  - os.js, line 112

##### Returns:

Type
  boolean

#### (static) isWin81() → {boolean}

Source:
  - os.js, line 118

##### Returns:

Type
  boolean

#### (static) isWin95() → {boolean}

Source:
  - os.js, line 52

##### Returns:

Type
  boolean

#### (static) isWin98() → {boolean}

Source:
  - os.js, line 64

##### Returns:

Type
  boolean

#### (static) isWinCE() → {boolean}

Source:
  - os.js, line 58

##### Returns:

Type
  boolean

#### (static) isWinME() → {boolean}

Source:
  - os.js, line 70

##### Returns:

Type
  boolean

#### (static) isWinNT4() → {boolean}

Source:
  - os.js, line 46

##### Returns:

Type
  boolean

#### (static) isWinPhone() → {boolean}

Source:
  - os.js, line 178

##### Returns:

Type
  boolean

#### (static) isWinServer2003() → {boolean}

Source:
  - os.js, line 94

##### Returns:

Type
  boolean

#### (static) isWinVista() → {boolean}

Source:
  - os.js, line 100

##### Returns:

Type
  boolean

#### (static) isWinXP() → {boolean}

Source:
  - os.js, line 88

##### Returns:

Type
  boolean

#### (static) isWindows() → {boolean}

Source:
  - os.js, line 244

##### Returns:

Type
  boolean